Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.index
Class FreeSpace

    java.lang.Object
      org.exist.storage.index.FreeSpace

public class FreeSpace
extends java.lang.Object

Used to track the available amount of free space in a data page.

Author:
  wolf
See Also:
  `FreeList`

Constructor Summary
`FreeSpace(long pageNum, int space)`

Method Summary
`int` | `compareTo(FreeSpace other)`
`boolean` | `equals(FreeSpace other)`
`int` | `getFree()` Returns the amount of unused space in the page (in bytes).
`long` | `getPage()` The unique page number.
`void` | `setFree(int space)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeSpace

    public FreeSpace(long pageNum,
                     int space)

Method Detail

### compareTo

    public int compareTo(FreeSpace other)

### equals

    public boolean equals(FreeSpace other)

### getFree

    public int getFree()

  Returns the amount of unused space in the page (in bytes).

  Returns:
    amount of unused space

### getPage

    public long getPage()

  The unique page number.

  Returns:
    unique page number

### setFree

    public void setFree(int space)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.